/*
 * Copyright Contributors to the fusa-gcc-plugin project
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */
#pragma once

#include <memory>
#include <vector>

#include <openssl/evp.h>
#include <openssl/sha.h>

using namespace std;

namespace crypto {
bool sha256_file_impl(string fname, vector<unsigned char> &hash);
bool sha256_str_impl(const string &s, vector<unsigned char> &hash);
string sha256_to_str(vector<unsigned char> &hash);
string sha256_string(const string &s);
string sha256_file(const string &f);
}; // namespace crypto
